<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suifmath.texi on 28 April 1999 -->

<TITLE>The SUIFMATH Library - Linear Algebra</TITLE>
<link href="suifmath_23.html" rel=Next>
<link href="suifmath_21.html" rel=Previous>
<link href="suifmath_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_21.html">previous</A>, <A HREF="suifmath_23.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
<P><HR><P>


<H1><A NAME="SEC26" HREF="suifmath_toc.html#TOC26">Linear Algebra</A></H1>

<P>
The <TT>`suifmath'</TT> library provides support for basic linear algebra
functions.  It provides a matrix class plus vector and vector space
classes.  The elements of the matrices and vectors are represented as
fractions.  Since these classes use fractional values, they are
completely separate from the <CODE>integer_matrix</CODE> (see section <A HREF="suifmath_3.html#SEC3">Matrix Library</A>) and <CODE>integer_row</CODE> (see section <A HREF="suifmath_6.html#SEC6">A Single Row</A>) classes.

</P>
<P>
As a reference for implementing the linear algebra operations, we used
Gilbert Strang, <CITE>Linear Algebra and its Applications, Third
Edition</CITE>, Harcourt Brace Jovanovich College Publishers, 1988.

</P>

<UL>
<LI><A HREF="suifmath_23.html#SEC27">Vectors for Linear Algebra</A>: Vectors with fractional elements
<LI><A HREF="suifmath_27.html#SEC31">Vector Spaces for Linear Algebra</A>: Vector spaces with fractional elements
<LI><A HREF="suifmath_31.html#SEC35">Matrices for Linear Algebra</A>: Matrices with fractional elements
</UL>

<P><HR><P>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_21.html">previous</A>, <A HREF="suifmath_23.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
</BODY>
</HTML>
